%global srcname esip


Name: erlang-%{srcname}
Version: 1.0.4
Release: 1%{?dist}

License: ASL 2.0
Summary: ProcessOne SIP server component in Erlang
URL: https://github.com/processone/%{srcname}/
Source0: https://github.com/processone/%{srcname}/archive/%{version}.tar.gz
# Patch an 'include' statement to search the system libraries rather than
# its deps directory.
Patch0: include_lib.patch

Provides:  erlang-p1_sip = %{version}-%{release}
Obsoletes: erlang-p1_sip < 1.0.2

BuildRequires: erlang-rebar
BuildRequires: erlang-fast_tls >= 1.0.3
BuildRequires: erlang-stun >= 1.0.3
BuildRequires: erlang-p1_utils >= 1.0.3

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
ProcessOne SIP server component in Erlang.


%prep
%setup -n %{srcname}-%{version} -q
%patch0 -p0
rm -rf ebin


%build
%{rebar_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/include
install -d $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/priv/lib

install -pm644 include/* $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/include/
install -pm755 priv/lib/*.so $RPM_BUILD_ROOT%{_erllibdir}/esip-%{version}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{erlang_appdir}


%changelog
* Tue May 03 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.4-1
- Update to 1.0.4 (#1330990).
- Add versions to the BuildRequires.

* Thu Apr 21 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.2-1
- Initial release.
